using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] a = new double[n];
            double[] p = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] s=Console.ReadLine().Split(' ');
                a[i] = double.Parse(s[0]);
                p[i] = double.Parse(s[1]);
            }
            double[] porez = new double[n];
            for (int i = 0; i < n; i++)
            {
                double zb = 0;
                for (int j = 0; j < n; j++)
                    if (p[i] <= p[j])
                        zb = zb + p[i] * a[j] / 100;
                porez[i] = zb;
            }
            double porezmax = porez[0];
            for (int i = 0; i < n; i++)
                if (porezmax < porez[i])
                    porezmax = porez[i];
            Console.WriteLine(porezmax);
        }
    }
}